---
title: Documentation 
last_updated: July xx, 2018
summary: "Summary"
series: "ACME series"
weight: 3
sidebar: allthing_sidebar
permalink: allthing_portainer.html
folder: allthing
# Don't forget to add a reference in _data/sidebars/allthing_sidebar.yml and/or _data/topnav.yml 
---
### Need to figure out how to make portainer default to local cluster rather than pick at setup.

### No default username and password, just setup on first start:
https://github.com/portainer/portainer/issues/1059

### Github
https://github.com/portainer/portainer

#### Base Dockerfile: 
https://github.com/portainer/docker-images/blob/master/base/Dockerfile

#### Linux Dockerfile:
https://github.com/portainer/portainer/blob/develop/build/linux/Dockerfile

### Docs
https://portainer.readthedocs.io/en/stable/
#### Configuration
https://portainer.readthedocs.io/en/stable/configuration.html
#### External endpoints
https://portainer.readthedocs.io/en/stable/external_endpoints.html
#### Deployment
https://portainer.readthedocs.io/en/latest/deployment.html 

#### Permissions in Portainer
https://www.linkedin.com/pulse/teamgroup-management-docker-portainerio-neil-cresswell/

### Secret Management
https://portainer.readthedocs.io/en/stable/external_endpoints.html

{% include links.html %}
